<?php require_once 'config.php';
/*
AssetTrackDB Copyright (C) 2013  Tyler Krehbiel (tylerk@gmail.com)

This file is part of AssetTrackDB.

AssetTrackDB is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

AssetTrackDB is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with AssetTrackDB.  If not, see <http://www.gnu.org/licenses/>.
*/

echo "<html><head><title>AssetTrackDB - Setup</title><script src='sorttable.js'></script><link rel='stylesheet' type='text/css' href='mystyle.css'/>";
echo '<link rel="icon" href="favicon.ico" type="image/x-icon">';
echo "</head><body>";


//--START Menu Code and PULL PHP
include 'includes/menu.php';
include 'includes/pull.php';
//--END Menu Code--

echo '<br><center>';

echo '<div id=dc>Diagnostics</div><br>';

//Check Files Table
echo '<table border=0 cellspacing=0><tr><td class=bot>';

//CHECK FILES
echo '<b><div id=dcss><a href="http://kryogenix.org/code/browser/sorttable/"><u>Sorttable</u></div></a> </b></td><td class=bot>';
$filename = 'sorttable.js';

if (file_exists($filename)) {
    echo "<div id=pbfs>$filename exists</div>";
} else {
    echo "<div id=err>$filename does not exist.</div>";
}

echo '</td><tr><td rowspan=9 class=bot>';
echo '<b><div id=dcss><a href="http://javascriptcalendar.org"><u>jsDatePick</u></div></a> </b></td><td>';

$filename = 'jsdatepick-calendar/jsDatePick_ltr.css';
if (file_exists($filename)) {
    echo "<div id=pbfs>$filename exists</div>";
} else {
    echo "<div id=err>$filename does not exist.</div>";
}
echo '</td><tr><td>';

$filename = 'jsdatepick-calendar/jsDatePick_ltr.min.css';
if (file_exists($filename)) {
    echo "<div id=pbfs>$filename exists</div>";
} else {
    echo "<div id=err>$filename does not exist.</div>";
}

echo '</td><tr><td>';

$filename = 'jsdatepick-calendar/jsDatePick_rtl.css';
if (file_exists($filename)) {
    echo "<div id=pbfs>$filename exists</div>";
} else {
    echo "<div id=err>$filename does not exist.</div>";
}

echo '</td><tr><td>';

$filename = 'jsdatepick-calendar/jsDatePick_rtl.min.css';
if (file_exists($filename)) {
    echo "<div id=pbfs>$filename exists</div>";
} else {
    echo "<div id=err>$filename does not exist.</div>";
}

echo '</td><tr><td>';

$filename = 'jsdatepick-calendar/jsDatePick.full.1.3.js';
if (file_exists($filename)) {
    echo "<div id=pbfs>$filename exists</div>";
} else {
    echo "<div id=err>$filename does not exist.</div>";
}

echo '</td><tr><td>';

$filename = 'jsdatepick-calendar/jsDatePick.jquery.full.1.3.js';
if (file_exists($filename)) {
    echo "<div id=pbfs>$filename exists</div>";
} else {
    echo "<div id=err>$filename does not exist.</div>";
}

echo '</td><tr><td>';

$filename = 'jsdatepick-calendar/jsDatePick.jquery.min.1.3.js';
if (file_exists($filename)) {
    echo "<div id=pbfs>$filename exists</div>";
} else {
    echo "<div id=err>$filename does not exist.</div>";
}

echo '</td><tr><td>';

$filename = 'jsdatepick-calendar/jquery.1.4.2.js';
if (file_exists($filename)) {
    echo "<div id=pbfs>$filename exists</div>";
} else {
    echo "<div id=err>$filename does not exist.</div>";
}

echo '</td><tr><td class=bot>';

$filename = 'jsdatepick-calendar/jsDatePick.min.1.3.js';
if (file_exists($filename)) {
    echo "<div id=pbfs>$filename exists</div>";
} else {
    echo "<div id=err>$filename does not exist.</div>";
}


//echo '</td><tr><td rowspan=2 class=bot>';
//THIS WILL PROBABLY BE NEEDED IN THE FUTURE
//echo '<b><div id=dcss><a href="http://jquery.com/"><u>Jquery</u></div></a> </b></td><td>';
//
//$filename = 'jquery-ui-1.8.2.custom.css';
//if (file_exists($filename)) {
//    echo "<div id=pbfs>$filename exists</div>";
//} else {
//    echo "<div id=err>$filename does not exist.</div>";
//}
//
//echo '</td><tr><td class=bot>';
//
//$filename = 'jquery-ui-1.8.2.custom.min.js';
//if (file_exists($filename)) {
//    echo "<div id=pbfs>$filename exists</div>";
//} else {
//    echo "<div id=err>$filename does not exist.</div>";
//}


echo '</td><tr><td class=bot>';
//CSS BREAKS WHEN www. is added to this link. I have no idea why
echo '<b><div id=dcss><a href="http://imagemagick.org/"><u>ImageMagick</u></div></a> </b></td><td class=bot>';

$output = '';
$output = shell_exec('which convert');


if ($output != ''){
	echo '<div id=pbfs>Installed</div>';
}
else {
	echo '<div id=err>Not Installed</div>';
}

//$filename = 'jquery.1.4.2.js';
//if (file_exists($filename)) {
//    echo "<div id=pbfs>$filename exists</div>"
//} else {
//    echo "<div id=err>$filename does not exist.</div>";
//}


echo '</td></tr></table>';

echo '</center>';

echo "<br><br><br><br>";
include 'footer.php';
echo '</center></center>';
include 'includes/userinfo.php';
echo "</body>";
echo "</html>";

?>
